cmake_minimum_required(VERSION 3.0)

set(SPC_DRV drv_spcm_linux_drv_v214b5633.zip)
set(SPC_HEADERS
        include/spcerr.h
        include/regs.h
        include/dlltyp.h
        include/spcioctl.inc
        include/spcm_drv.h)

add_custom_command(OUTPUT ${SPC_HEADERS}
        COMMAND unzip -o -q -u ${SPC_DRV} "*.h" "*.txt" "*.inc" -d include/
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        COMMENT "Unpacking SPC headers"
        VERBATIM)


add_library(Spectrum-M2i40xxSeries STATIC Spectrum-M2i40xxSeries.cpp GatedData.cpp ${SPC_HEADERS})
